Index: trunk/SophyaExt/CodeMinuit/Makefile.mgr
===================================================================
--- trunk/SophyaExt/CodeMinuit/Makefile.mgr	(revision 2735)
+++ trunk/SophyaExt/CodeMinuit/Makefile.mgr	(revision 2735)
@@ -0,0 +1,25 @@
+include $(SOPHYABASEREP)/Include/MakefileUser.h
+
+all:
+	cp MakeMinuit ./code/MakeMinuit
+	cd code; make -f MakeMinuit
+
+clean:
+	cp MakeMinuit ./code/MakeMinuit
+	cd code; make -f MakeMinuit clean
+
+cleanall:
+	cp MakeMinuit ./code/MakeMinuit
+	cd code; make -f MakeMinuit cleanall
+
+install:
+	cp ./code/libminuit.a $(EXTLIBPATH)/.
+	if [ ! -d $(EXTINCPATH)/Cern ] ; then mkdir $(EXTINCPATH)/Cern ; fi
+	cd $(EXTINCPATH)/Cern/.; rm -f cfortran.h minuit.h hbook.h
+	cp ./cfortran/cfortran.h $(EXTINCPATH)/Cern/.
+	cp ./cfortran/minuit.h $(EXTINCPATH)/Cern/.
+	cp ./cfortran/hbook.h $(EXTINCPATH)/Cern/.
+
+test:
+	cp MakeMinuit ./code/MakeMinuit
+	cd code; make -f MakeMinuit test
Index: trunk/SophyaExt/CodeMinuit/Makefile.old
===================================================================
--- trunk/SophyaExt/CodeMinuit/Makefile.old	(revision 2731)
+++ 	(revision )
@@ -1,25 +1,0 @@
-include $(SOPHYABASEREP)/Include/MakefileUser.h
-
-all:
-	cp MakeMinuit ./code/MakeMinuit
-	cd code; make -f MakeMinuit
-
-clean:
-	cp MakeMinuit ./code/MakeMinuit
-	cd code; make -f MakeMinuit clean
-
-cleanall:
-	cp MakeMinuit ./code/MakeMinuit
-	cd code; make -f MakeMinuit cleanall
-
-install:
-	cp ./code/libminuit.a $(EXTLIBPATH)/.
-	if [ ! -d $(EXTINCPATH)/Cern ] ; then mkdir $(EXTINCPATH)/Cern ; fi
-	cd $(EXTINCPATH)/Cern/.; rm -f cfortran.h minuit.h hbook.h
-	cp ./cfortran/cfortran.h $(EXTINCPATH)/Cern/.
-	cp ./cfortran/minuit.h $(EXTINCPATH)/Cern/.
-	cp ./cfortran/hbook.h $(EXTINCPATH)/Cern/.
-
-test:
-	cp MakeMinuit ./code/MakeMinuit
-	cd code; make -f MakeMinuit test
Index: trunk/SophyaExt/FitsIOServer/Makefile.mgr
===================================================================
--- trunk/SophyaExt/FitsIOServer/Makefile.mgr	(revision 2735)
+++ trunk/SophyaExt/FitsIOServer/Makefile.mgr	(revision 2735)
@@ -0,0 +1,270 @@
+include ../Mgr/Makefile.h
+ 
+all: $(LIB)libFitsIOServer.a
+clean:
+	rm -f $(OBJ)datacirclefits.o $(OBJ)fabtcolread.o $(OBJ)fabtwriter.o $(OBJ)fboloread.o $(OBJ)fbtntintf.o $(OBJ)fitsautoreader.o $(OBJ)fitsbntbllineRW.o $(OBJ)fitsfile.o $(OBJ)fitslocalmap.o $(OBJ)fitsntuple.o $(OBJ)fitsspherehealpix.o $(OBJ)fitsspherethetaphi.o $(OBJ)fitstarray.o $(OBJ)fitsxntuple.o
+	rm -f $(LIB)libFitsIOServer.a
+$(LIB)libFitsIOServer.a : $(OBJ)datacirclefits.o $(OBJ)fabtcolread.o $(OBJ)fabtwriter.o $(OBJ)fboloread.o $(OBJ)fbtntintf.o $(OBJ)fitsautoreader.o $(OBJ)fitsbntbllineRW.o $(OBJ)fitsfile.o $(OBJ)fitslocalmap.o $(OBJ)fitsntuple.o $(OBJ)fitsspherehealpix.o $(OBJ)fitsspherethetaphi.o $(OBJ)fitstarray.o $(OBJ)fitsxntuple.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
+ifeq ($(CXX),cxx)
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
+endif 
+ 
+$(OBJ)datacirclefits.o: datacirclefits.cc datacirclefits.h \
+ $(INC)datacirclebase.h \
+ $(INC)circle.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)machdefs.h \
+ $(INC)utilgeom.h \
+ $(INC)unitvector.h \
+ $(INC)geometry.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
+$(OBJ)fabtcolread.o: fabtcolread.cc \
+ $(INC)machdefs.h \
+ $(INC)pexceptions.h fabtcolread.h \
+ $(INC)anydataobj.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
+$(OBJ)fabtwriter.o: fabtwriter.cc $(INC)machdefs.h \
+ $(INC)pexceptions.h fabtwriter.h \
+ $(INC)anydataobj.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
+$(OBJ)fboloread.o: fboloread.cc $(INC)machdefs.h \
+ $(INC)pexceptions.h fboloread.h \
+ $(INC)anydataobj.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h fabtcolread.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
+$(OBJ)fbtntintf.o: fbtntintf.cc $(INC)machdefs.h \
+ $(INC)pexceptions.h fbtntintf.h \
+ $(INC)anydataobj.h \
+ $(INC)ntupintf.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
+$(OBJ)fitsautoreader.o: fitsautoreader.cc \
+ $(INC)pexceptions.h \
+ $(INC)machdefs.h fitsautoreader.h \
+ $(INC)anydataobj.h fitsfile.h \
+ $(INC)ndatablock.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)mutyv.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h fitstarray.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)utilarr.h fitsspherehealpix.h \
+ $(INC)spherehealpix.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)HEALPixUtils.h fitsntuple.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h fitsxntuple.h \
+ $(INC)xntuple.h fitslocalmap.h \
+ $(INC)localmap.h fbtntintf.h
+$(OBJ)fitsbntbllineRW.o: fitsbntbllineRW.cc \
+ $(INC)pexceptions.h \
+ $(INC)machdefs.h fitsbntbllineRW.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)mutyv.h fitsfile.h \
+ $(INC)ndatablock.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h \
+ $(INC)utils.h
+$(OBJ)fitsfile.o: fitsfile.cc $(INC)machdefs.h \
+ fitsfile.h $(INC)ndatablock.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)mutyv.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h \
+ $(INC)strutil.h fitsspherehealpix.h \
+ $(INC)spherehealpix.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)utilarr.h \
+ $(INC)HEALPixUtils.h
+$(OBJ)fitslocalmap.o: fitslocalmap.cc \
+ $(INC)machdefs.h fitslocalmap.h \
+ $(INC)pexceptions.h \
+ $(INC)localmap.h \
+ $(INC)pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h fitsfile.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
+$(OBJ)fitsntuple.o: fitsntuple.cc \
+ $(INC)pexceptions.h \
+ $(INC)machdefs.h fitsntuple.h \
+ $(INC)ntuple.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ntupintf.h \
+ $(INC)dvlist.h \
+ $(INC)mutyv.h fitsfile.h \
+ $(INC)ndatablock.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
+$(OBJ)fitsspherehealpix.o: fitsspherehealpix.cc \
+ $(INC)pexceptions.h \
+ $(INC)machdefs.h fitsspherehealpix.h \
+ $(INC)spherehealpix.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)HEALPixUtils.h fitsfile.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h fitstarray.h
+$(OBJ)fitsspherethetaphi.o: fitsspherethetaphi.cc \
+ $(INC)pexceptions.h \
+ $(INC)machdefs.h fitsspherethetaphi.h \
+ $(INC)spherethetaphi.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h fitsfile.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h fitstarray.h
+$(OBJ)fitstarray.o: fitstarray.cc $(INC)machdefs.h \
+ $(INC)pexceptions.h fitstarray.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h fitsfile.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
+$(OBJ)fitsxntuple.o: fitsxntuple.cc \
+ $(INC)pexceptions.h \
+ $(INC)machdefs.h fitsxntuple.h \
+ $(INC)xntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h fitsfile.h \
+ $(INC)ndatablock.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
Index: trunk/SophyaExt/IFFTW/Makefile.mgr
===================================================================
--- trunk/SophyaExt/IFFTW/Makefile.mgr	(revision 2735)
+++ trunk/SophyaExt/IFFTW/Makefile.mgr	(revision 2735)
@@ -0,0 +1,30 @@
+include ../Mgr/Makefile.h
+ 
+all: $(LIB)libIFFTW.a
+clean:
+	rm -f $(OBJ)fftwserver.o
+	rm -f $(LIB)libIFFTW.a
+$(LIB)libIFFTW.a : $(OBJ)fftwserver.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
+ifeq ($(CXX),cxx)
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
+endif 
+ 
+$(OBJ)fftwserver.o: fftwserver.cc fftwserver.h \
+ $(INC)machdefs.h \
+ $(INC)fftservintf.h \
+ $(INC)pexceptions.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(EXTINCPATH)FFTW/fftw.h \
+ $(EXTINCPATH)FFTW/rfftw.h
Index: trunk/SophyaExt/JThreadsC++/Examples/Makefile.mgr
===================================================================
--- trunk/SophyaExt/JThreadsC++/Examples/Makefile.mgr	(revision 2735)
+++ trunk/SophyaExt/JThreadsC++/Examples/Makefile.mgr	(revision 2735)
@@ -0,0 +1,52 @@
+#  Makefile for building JTC JThreads/C++ 
+#  Source code from Object Oriented Concepts  www.ooc.com
+#  R. Ansari      LAL-IN2P3/CNRS    05/2000
+
+CXX := g++
+ifdef SOPHYACXX
+  CXX := $(SOPHYACXX)
+endif
+
+SYSNOM = $(shell echo `uname`)
+SYSNOMD = $(shell echo `uname | sed 's/-//'`) 
+SYSCOMPNOM = $(SYSNOM)-$(CXX)
+
+INC = $(JTCBASEREP)/Include
+LIB = $(JTCBASEREP)/$(SYSCOMPNOM)/Libs
+SLB = $(JTCBASEREP)/$(SYSCOMPNOM)/ShLibs
+
+SYSLIBS = -lpthread 
+CPPFLAGS   := -I$(INC)  -D$(SYSNOMD)
+ifeq ($(CXX),cxx)
+  CPPFLAGS   :=  $(CPPFLAGS) -pthread 
+endif
+
+PROGS = hello clock diner conprod
+
+all : $(PROGS)
+	echo 'hello clock diner conprod built'
+
+clean :
+	rm -f *.o
+	rm -f $(PROGS)
+
+hello : hello.o
+	$(CXX) -o hello hello.o -L$(SLB) -lJTC $(SYSLIBS)
+hello.o : hello.cc
+	$(CXX) $(CPPFLAGS) -c -o hello.o hello.cc $(SYSLIBS) 
+
+diner : diner.o
+	$(CXX) -o diner diner.o -L$(SLB) -lJTC $(SYSLIBS) 
+diner.o : diner.cc
+	$(CXX) $(CPPFLAGS) -c -o diner.o diner.cc
+
+clock : clock.o
+	$(CXX) -o clock clock.o -L$(SLB) -lJTC $(SYSLIBS)
+clock.o : clock.cc
+	$(CXX) $(CPPFLAGS) -c -o clock.o clock.cc
+
+conprod : conprod.o
+	$(CXX) -o conprod conprod.o -L$(SLB) -lJTC $(SYSLIBS) 
+conprod.o : conprod.cc
+	$(CXX) $(CPPFLAGS) -c -o conprod.o conprod.cc
+
Index: trunk/SophyaExt/JThreadsC++/JTCSrc/Makefile.mgr
===================================================================
--- trunk/SophyaExt/JThreadsC++/JTCSrc/Makefile.mgr	(revision 2735)
+++ trunk/SophyaExt/JThreadsC++/JTCSrc/Makefile.mgr	(revision 2735)
@@ -0,0 +1,94 @@
+#  Makefile for building JTC JThreads/C++ 
+#  Source code from Object Oriented Concepts  www.ooc.com
+#  R. Ansari      LAL-IN2P3/CNRS    
+
+CXX := g++
+ifdef SOPHYACXX
+  CXX := $(SOPHYACXX)
+endif
+
+SYSNOM = $(shell echo `uname`)
+SYSNOMD = $(shell echo `uname | sed 's/-//'`) 
+SYSCOMPNOM = $(SYSNOM)-$(CXX)
+
+$(OBJ)%.o:%.cc
+	$(COMPILE.cc) -o $@ $<
+
+$(OBJ)%.o:%.cpp
+	$(COMPILE.cc) -o $@ $<
+
+CPPFLAGS   :=  -I. -D$(SYSNOMD)
+#  Flag pour compilo DEC-cxx (Compaq)
+ifeq ($(CXX),cxx)
+  CPPFLAGS   :=  $(CPPFLAGS) -pthread -nopt -distinguish_nested_enums 
+endif
+
+AR = ar
+ARFLAGS = -rcs
+
+LIB = Objs/
+OBJ = Objs/
+
+OBJLIST =  $(OBJ)Cond.o $(OBJ)Event.o $(OBJ)License.o $(OBJ)Monitor.o $(OBJ)Mutex.o $(OBJ)TSS.o $(OBJ)TSSManager.o $(OBJ)Thread.o $(OBJ)ThreadGroup.o $(OBJ)Version.o
+
+#  Fabrication de shared lib
+CMDSLB := $(CXX) -shared
+SYSLIBS := -lpthread 
+ifeq ($(CXX),KCC)
+  CMDSLB := $(CXX)
+endif
+
+# ---------------- Building Library
+all: rep $(LIB)libJTC.a $(LIB)libJTC.so 
+
+rep :
+	if (test ! -d Objs) then mkdir Objs ; fi
+
+$(LIB)libJTC.a : $(OBJLIST)
+	$(AR) $(ARFLAGS) $(LIB)libJTC.a $(OBJLIST) 
+ifeq ($(CXX),cxx)
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
+endif 
+
+$(LIB)libJTC.so : $(LIB)libJTC.a
+	$(CMDSLB) -o $(LIB)libJTC.so $(OBJLIST) $(SYSLIBS)
+
+# ---------------- Cleaning 
+clean:
+	rm -rf Objs
+
+# --------------- Installing 
+install:
+	if (test ! -d $(JTCBASEREP)/Include) then mkdir $(JTCBASEREP)/Include ; fi
+	if (test ! -d $(JTCBASEREP)/Include/JTC) then mkdir $(JTCBASEREP)/Include/JTC ; fi
+	cp JTC/*.h $(JTCBASEREP)/Include/JTC
+	chmod a+r $(JTCBASEREP)/Include/JTC/*
+	if (test ! -d $(JTCBASEREP)/$(SYSCOMPNOM)) then mkdir $(JTCBASEREP)/$(SYSCOMPNOM) ; fi
+	if (test ! -d $(JTCBASEREP)/$(SYSCOMPNOM)/Libs)  then mkdir $(JTCBASEREP)/$(SYSCOMPNOM)/Libs ; fi
+	if (test ! -d $(JTCBASEREP)/$(SYSCOMPNOM)/ShLibs)  then mkdir $(JTCBASEREP)/$(SYSCOMPNOM)/ShLibs ; fi
+	cp Objs/libJTC.a $(JTCBASEREP)/$(SYSCOMPNOM)/Libs
+	cp Objs/libJTC.so $(JTCBASEREP)/$(SYSCOMPNOM)/ShLibs
+	chmod a+r $(JTCBASEREP)/$(SYSCOMPNOM)/Libs/libJTC.a
+	chmod a+r $(JTCBASEREP)/$(SYSCOMPNOM)/ShLibs/libJTC.so
+
+$(OBJ)Cond.o : Cond.cpp
+	$(CXX) $(CPPFLAGS) -c -o $@ $< 
+$(OBJ)Event.o : Event.cpp
+	$(CXX) $(CPPFLAGS) -c -o $@ $< 
+$(OBJ)License.o : License.cpp
+	$(CXX) $(CPPFLAGS) -c -o $@ $< 
+$(OBJ)Monitor.o : Monitor.cpp
+	$(CXX) $(CPPFLAGS) -c -o $@ $< 
+$(OBJ)Mutex.o : Mutex.cpp
+	$(CXX) $(CPPFLAGS) -c -o $@ $< 
+$(OBJ)TSS.o : TSS.cpp
+	$(CXX) $(CPPFLAGS) -c -o $@ $< 
+$(OBJ)TSSManager.o : TSSManager.cpp
+	$(CXX) $(CPPFLAGS) -c -o $@ $< 
+$(OBJ)Thread.o : Thread.cpp
+	$(CXX) $(CPPFLAGS) -c -o $@ $< 
+$(OBJ)ThreadGroup.o : ThreadGroup.cpp
+	$(CXX) $(CPPFLAGS) -c -o $@ $< 
+$(OBJ)Version.o : Version.cpp
+	$(CXX) $(CPPFLAGS) -c -o $@ $< 
+
Index: trunk/SophyaExt/LinAlg/Makefile.mgr
===================================================================
--- trunk/SophyaExt/LinAlg/Makefile.mgr	(revision 2735)
+++ trunk/SophyaExt/LinAlg/Makefile.mgr	(revision 2735)
@@ -0,0 +1,27 @@
+include ../Mgr/Makefile.h
+ 
+all: $(LIB)libLinAlg.a
+clean:
+	rm -f $(OBJ)intflapack.o
+	rm -f $(LIB)libLinAlg.a
+$(LIB)libLinAlg.a : $(OBJ)intflapack.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
+ifeq ($(CXX),cxx)
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
+endif 
+ 
+$(OBJ)intflapack.o: intflapack.cc intflapack.h \
+ $(INC)machdefs.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h
Index: trunk/SophyaExt/MinuitAdapt/Makefile.mgr
===================================================================
--- trunk/SophyaExt/MinuitAdapt/Makefile.mgr	(revision 2735)
+++ trunk/SophyaExt/MinuitAdapt/Makefile.mgr	(revision 2735)
@@ -0,0 +1,48 @@
+MODULECXXREPNAME :=  MinuitAdapt
+MODULEDECCXXFLAGS := -msg_quiet
+include ../Mgr/Makefile.h
+
+CFLAGS   := $(CFLAGS) -Df2cFortran
+CPPFLAGS := $(CPPFLAGS) -Df2cFortran
+CXXFLAGS := $(CXXFLAGS) -Df2cFortran
+ 
+all: $(LIB)libMinuitAdapt.a
+
+clean: cleantest
+	rm -f $(OBJ)minuitadapt.o $(OBJ)minuitadaptF.o
+	rm -f $(LIB)libMinuitAdapt.a
+
+cleantest:
+	rm -f testminuit testminuit.o
+
+# Doit etre fait automatiquement par mkmflien
+install:
+	cp localmnpout.h minuitprot.h minuitadapt.h $(INC)/.
+
+#----------------------------------------------------------------------
+$(LIB)libMinuitAdapt.a : $(OBJ)minuitadapt.o $(OBJ)minuitadaptF.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
+ifeq ($(CXX),cxx)
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
+endif 
+ 
+$(OBJ)minuitadaptF.o: minuitadaptF.f
+$(OBJ)minuitadapt.o: minuitadapt.cc minuitadapt.h minuitprot.h
+
+#----------------------------------------------------------------------
+ifdef NOSHLIB
+LIBS = -L$(LIB) -lFitsIOServer -lSamba -lSkyMap -lSkyT -lNTools -lHiStats -lTArray -lSysTools -lm
+ifeq ($(CXX),cxx)
+LIBS := $(LIBS) -lertcxx
+endif
+else
+LIBS = -L$(SLB) -lsophya -lextsophya  -lm
+endif
+LIBMINUIT := -L$(LIB) -lMinuitAdapt -L$(EXTLIBPATH) -lminuit
+LDLIBS := $(LIBS) $(LDLIBS) $(LIBMINUIT) $(LIBFORT)
+
+test: testminuit
+
+testminuit: testminuit.o
+	$(LINK.cc) $^ -o $@ $(LOADLIBES) $(LDLIBS)
+$(OBJ)testminuit.o: testminuit.cc
Index: trunk/SophyaExt/MinuitAdapt/Makefile.old
===================================================================
--- trunk/SophyaExt/MinuitAdapt/Makefile.old	(revision 2731)
+++ 	(revision )
@@ -1,48 +1,0 @@
-MODULECXXREPNAME :=  MinuitAdapt
-MODULEDECCXXFLAGS := -msg_quiet
-include ../Mgr/Makefile.h
-
-CFLAGS   := $(CFLAGS) -Df2cFortran
-CPPFLAGS := $(CPPFLAGS) -Df2cFortran
-CXXFLAGS := $(CXXFLAGS) -Df2cFortran
- 
-all: $(LIB)libMinuitAdapt.a
-
-clean: cleantest
-	rm -f $(OBJ)minuitadapt.o $(OBJ)minuitadaptF.o
-	rm -f $(LIB)libMinuitAdapt.a
-
-cleantest:
-	rm -f testminuit testminuit.o
-
-# Doit etre fait automatiquement par mkmflien
-install:
-	cp localmnpout.h minuitprot.h minuitadapt.h $(INC)/.
-
-#----------------------------------------------------------------------
-$(LIB)libMinuitAdapt.a : $(OBJ)minuitadapt.o $(OBJ)minuitadaptF.o
-	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
-ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
-endif 
- 
-$(OBJ)minuitadaptF.o: minuitadaptF.f
-$(OBJ)minuitadapt.o: minuitadapt.cc minuitadapt.h minuitprot.h
-
-#----------------------------------------------------------------------
-ifdef NOSHLIB
-LIBS = -L$(LIB) -lFitsIOServer -lSamba -lSkyMap -lSkyT -lNTools -lHiStats -lTArray -lSysTools -lm
-ifeq ($(CXX),cxx)
-LIBS := $(LIBS) -lertcxx
-endif
-else
-LIBS = -L$(SLB) -lsophya -lextsophya  -lm
-endif
-LIBMINUIT := -L$(LIB) -lMinuitAdapt -L$(EXTLIBPATH) -lminuit
-LDLIBS := $(LIBS) $(LDLIBS) $(LIBMINUIT) $(LIBFORT)
-
-test: testminuit
-
-testminuit: testminuit.o
-	$(LINK.cc) $^ -o $@ $(LOADLIBES) $(LDLIBS)
-$(OBJ)testminuit.o: testminuit.cc
Index: trunk/SophyaExt/XAstroPack/Makefile.mgr
===================================================================
--- trunk/SophyaExt/XAstroPack/Makefile.mgr	(revision 2735)
+++ trunk/SophyaExt/XAstroPack/Makefile.mgr	(revision 2735)
@@ -0,0 +1,17 @@
+include ../Mgr/Makefile.h
+ 
+all: $(LIB)libXAstroPack.a
+clean:
+	rm -f $(OBJ)mollweide.o $(OBJ)tstxastro.o $(OBJ)xastropack.o $(OBJ)magfield.o
+	rm -f $(LIB)libXAstroPack.a
+$(LIB)libXAstroPack.a : $(OBJ)magfield.o $(OBJ)mollweide.o $(OBJ)xastropack.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
+ifeq ($(CXX),cxx)
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
+endif 
+ 
+$(OBJ)mollweide.o: mollweide.cc mollweide.h
+$(OBJ)xastropack.o: xastropack.cc xastropack.h \
+ $(INC)machdefs.h \
+ $(EXTINCPATH)XAstro/astro.h
+$(OBJ)magfield.o: magfield.c magfield.h
Index: trunk/SophyaExt/XAstroPack/Makefile.old
===================================================================
--- trunk/SophyaExt/XAstroPack/Makefile.old	(revision 2731)
+++ 	(revision )
@@ -1,17 +1,0 @@
-include ../Mgr/Makefile.h
- 
-all: $(LIB)libXAstroPack.a
-clean:
-	rm -f $(OBJ)mollweide.o $(OBJ)tstxastro.o $(OBJ)xastropack.o $(OBJ)magfield.o
-	rm -f $(LIB)libXAstroPack.a
-$(LIB)libXAstroPack.a : $(OBJ)magfield.o $(OBJ)mollweide.o $(OBJ)xastropack.o
-	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
-ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
-endif 
- 
-$(OBJ)mollweide.o: mollweide.cc mollweide.h
-$(OBJ)xastropack.o: xastropack.cc xastropack.h \
- $(INC)machdefs.h \
- $(EXTINCPATH)XAstro/astro.h
-$(OBJ)magfield.o: magfield.c magfield.h
Index: trunk/SophyaExt/XephemAstroLib/Makefile.mgr
===================================================================
--- trunk/SophyaExt/XephemAstroLib/Makefile.mgr	(revision 2735)
+++ trunk/SophyaExt/XephemAstroLib/Makefile.mgr	(revision 2735)
@@ -0,0 +1,27 @@
+include $(SOPHYABASEREP)/Include/MakefileUser.h
+
+all: libxastro.a
+
+clean:
+	rm -f libxastro.a
+	rm -f *.o testxephem
+
+install:
+	if [ ! -d $(EXTINCPATH)/XAstro ] ; then mkdir $(EXTINCPATH)/XAstro ; fi
+	rm -f $(EXTINCPATH)/XAstro/astro.h
+	rm -f $(EXTINCPATH)/XAstro/bdl.h
+	rm -f $(EXTINCPATH)/XAstro/P_.h
+	rm -f $(EXTLIBPATH)/libxastro.a
+	cp *.h $(EXTINCPATH)/XAstro/.
+	cp libxastro.a $(EXTLIBPATH)/.
+
+OBJASTRO := $(addsuffix .o,$(basename $(wildcard *.c)))
+
+libxastro.a : $(OBJASTRO)
+	$(AR) $(ARFLAGS) $@ $(OBJASTRO)
+
+%.o: %.c
+	$(COMPILE.c) -o $@ $<
+
+testxephem: testxephem.o
+	$(LINK.c) -o $@ $^ -L$(EXTLIBPATH) -lxastro -lc -lm
Index: trunk/SophyaExt/XephemAstroLib/Makefile.old
===================================================================
--- trunk/SophyaExt/XephemAstroLib/Makefile.old	(revision 2731)
+++ 	(revision )
@@ -1,27 +1,0 @@
-include $(SOPHYABASEREP)/Include/MakefileUser.h
-
-all: libxastro.a
-
-clean:
-	rm -f libxastro.a
-	rm -f *.o testxephem
-
-install:
-	if [ ! -d $(EXTINCPATH)/XAstro ] ; then mkdir $(EXTINCPATH)/XAstro ; fi
-	rm -f $(EXTINCPATH)/XAstro/astro.h
-	rm -f $(EXTINCPATH)/XAstro/bdl.h
-	rm -f $(EXTINCPATH)/XAstro/P_.h
-	rm -f $(EXTLIBPATH)/libxastro.a
-	cp *.h $(EXTINCPATH)/XAstro/.
-	cp libxastro.a $(EXTLIBPATH)/.
-
-OBJASTRO := $(addsuffix .o,$(basename $(wildcard *.c)))
-
-libxastro.a : $(OBJASTRO)
-	$(AR) $(ARFLAGS) $@ $(OBJASTRO)
-
-%.o: %.c
-	$(COMPILE.c) -o $@ $<
-
-testxephem: testxephem.o
-	$(LINK.c) -o $@ $^ -L$(EXTLIBPATH) -lxastro -lc -lm