Index: trunk/SophyaPI/PIGcont/Makefile
===================================================================
--- trunk/SophyaPI/PIGcont/Makefile	(revision 2735)
+++ trunk/SophyaPI/PIGcont/Makefile	(revision 2743)
@@ -1,185 +1,203 @@
-MODULECXXREPNAME := PI
-MODULEDECCXXFLAGS := -msg_quiet
-include ../Mgr/Makefile.h
- 
-all: $(LIB)libPIGcont.a
-$(LIB)libPIGcont.a : $(OBJ)gp_alloc.o $(OBJ)gp_axis.o $(OBJ)gp_contour.o $(OBJ)picntools.o $(OBJ)pigncont.o
-	$(AR) $(ARFLAGS)  $@ $($(ARARGS)) 
-ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
-endif 
+include ../BuildMgr/sophyamake.inc
+ 
+all: $(SOPHYALIBP)libPIGcont.a
  
 clean:
-	rm -f $(OBJ)gp_alloc.o $(OBJ)gp_axis.o $(OBJ)gp_contour.o $(OBJ)picntools.o $(OBJ)pigncont.o
-ifeq ($(CXX),cxx)
-	cd $(REPM); rm -f *.o
-endif 
- 
-$(OBJ)gp_alloc.o: gp_alloc.c gp_alloc.h gp_graph3d.h gp_types.h gpc_misc.h
-$(OBJ)gp_axis.o: gp_axis.c gp_axis.h gpc_misc.h
-$(OBJ)gp_contour.o: gp_contour.c gp_contour.h gp_types.h gpc_misc.h \
- gp_dynarray.h gp_graph3d.h gp_alloc.h gp_axis.h
-$(OBJ)picntools.o: picntools.cc $(INC)machdefs.h \
- picntools.h $(INC)pisysdep.h \
- $(INC)pistdwdgx.h \
- $(INC)pistdwdggen.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picolist.h \
- $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h \
- $(INC)pimenux.h \
- $(INC)pimenugen.h \
- $(INC)piwindowx.h \
- $(INC)piwindowgen.h \
- $(INC)picontainerx.h \
- $(INC)picontainergen.h \
- $(INC)piapplx.h \
- $(INC)piapplgen.h \
- $(INC)pimenubarx.h \
- $(INC)pimenubargen.h \
- $(INC)picons.h \
- $(INC)pibwdgx.h \
- $(INC)pibwdggen.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigrcoord.h \
- $(INC)pilineatt.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraphps.h \
- $(INC)picmapview.h pigncont.h \
- $(INC)pistdimgapp.h \
- $(INC)pifilechox.h \
- $(INC)pifilechogen.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h \
- $(INC)piimage.h \
- $(INC)parradapter.h \
- $(INC)lut.h \
- $(INC)pieldrw.h \
- $(INC)pidrawer.h \
- $(INC)pigratt.h \
- $(INC)piaxes.h \
- $(INC)pipixmapx.h \
- $(INC)pipixmapgen.h \
- $(INC)pi3dwdg.h \
- $(INC)pi3ddrw.h \
- $(INC)pigraph3d.h \
- $(INC)nobjmgr.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)mutyv.h \
- $(INC)dlftypes.h \
- $(INC)piacmd.h \
- $(INC)pdlmgr.h \
- $(INC)ctimer.h \
- $(INC)pisiadw.h \
- $(INC)pilistx.h \
- $(INC)pilistgen.h \
- $(INC)pistzwin.h \
- $(INC)pitherm.h \
- $(INC)resusage.h \
- $(INC)piscdrawwdg.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h gp_contour.h gp_types.h \
- gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
-$(OBJ)pigncont.o: pigncont.cc $(INC)machdefs.h \
- $(INC)histos.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)perrors.h \
- $(INC)fmath.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h \
- $(INC)nbtri.h picntools.h \
- $(INC)pisysdep.h \
- $(INC)pistdwdgx.h \
- $(INC)pistdwdggen.h \
- $(INC)piwdgx.h \
- $(INC)piwdggen.h \
- $(INC)pimsghandler.h \
- $(INC)picolist.h \
- $(INC)pioptmenux.h \
- $(INC)pioptmenugen.h \
- $(INC)pimenux.h \
- $(INC)pimenugen.h \
- $(INC)piwindowx.h \
- $(INC)piwindowgen.h \
- $(INC)picontainerx.h \
- $(INC)picontainergen.h \
- $(INC)piapplx.h \
- $(INC)piapplgen.h \
- $(INC)pimenubarx.h \
- $(INC)pimenubargen.h \
- $(INC)picons.h \
- $(INC)pibwdgx.h \
- $(INC)pibwdggen.h \
- $(INC)picmap.h \
- $(INC)picmapx.h \
- $(INC)picmapgen.h \
- $(INC)pigraphx.h \
- $(INC)pigraphgen.h \
- $(INC)pifontx.h \
- $(INC)pifontgen.h \
- $(INC)pigrcoord.h \
- $(INC)pilineatt.h \
- $(INC)pigraphuc.h \
- $(INC)pievthandler.h \
- $(INC)psfile.h \
- $(INC)pigraphps.h \
- $(INC)picmapview.h pigncont.h \
- $(INC)pistdimgapp.h \
- $(INC)pifilechox.h \
- $(INC)pifilechogen.h \
- $(INC)piperiodx.h \
- $(INC)periodic.h \
- $(INC)piimage.h \
- $(INC)parradapter.h \
- $(INC)lut.h \
- $(INC)pieldrw.h \
- $(INC)pidrawer.h \
- $(INC)pigratt.h \
- $(INC)piaxes.h \
- $(INC)pipixmapx.h \
- $(INC)pipixmapgen.h \
- $(INC)pi3dwdg.h \
- $(INC)pi3ddrw.h \
- $(INC)pigraph3d.h \
- $(INC)nobjmgr.h \
- $(INC)dlftypes.h \
- $(INC)piacmd.h \
- $(INC)pdlmgr.h \
- $(INC)ctimer.h \
- $(INC)pisiadw.h \
- $(INC)pilistx.h \
- $(INC)pilistgen.h \
- $(INC)pistzwin.h \
- $(INC)pitherm.h \
- $(INC)resusage.h \
- $(INC)piscdrawwdg.h gp_contour.h gp_types.h \
- gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+	 rm -f $(SOPHYAOBJP)picntools.o $(SOPHYAOBJP)pigncont.o $(SOPHYAOBJP)gp_alloc.o $(SOPHYAOBJP)gp_axis.o $(SOPHYAOBJP)gp_contour.o
+	rm -f $(SOPHYALIBP)libPIGcont.a
+ 
+$(SOPHYALIBP)libPIGcont.a : $(SOPHYAOBJP)gp_alloc.o $(SOPHYAOBJP)gp_axis.o $(SOPHYAOBJP)gp_contour.o $(SOPHYAOBJP)picntools.o $(SOPHYAOBJP)pigncont.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)picntools.o: picntools.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h picntools.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)picontainergen.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piapplgen.h \
+  $(SOPHYAINCP)pimenubarx.h \
+  $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)pistdimgapp.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)piimage.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pipixmapx.h \
+  $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pilistgen.h \
+  $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)pitherm.h \
+  $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)piscdrawwdg.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h gp_contour.h \
+  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)pigncont.o: pigncont.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)nbtri.h picntools.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)picontainergen.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piapplgen.h \
+  $(SOPHYAINCP)pimenubarx.h \
+  $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)pistdimgapp.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)piimage.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pipixmapx.h \
+  $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pilistgen.h \
+  $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)pitherm.h \
+  $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)piscdrawwdg.h gp_contour.h \
+  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)gp_alloc.o: gp_alloc.c gp_alloc.h gp_graph3d.h gp_types.h gpc_misc.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)gp_axis.o: gp_axis.c gp_axis.h gpc_misc.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)gp_contour.o: gp_contour.c gp_contour.h gp_types.h gpc_misc.h \
+  gp_dynarray.h gp_graph3d.h gp_alloc.h gp_axis.h
+	$(CCOMPILE) -o $@ $<
+ 
Index: trunk/SophyaPI/PIGcont/smakefile
===================================================================
--- trunk/SophyaPI/PIGcont/smakefile	(revision 2743)
+++ trunk/SophyaPI/PIGcont/smakefile	(revision 2743)
@@ -0,0 +1,203 @@
+include $(SOPHYABASE)/include/sophyamake.inc
+ 
+all: $(SOPHYALIBP)libPIGcont.a
+ 
+clean:
+	 rm -f $(SOPHYAOBJP)picntools.o $(SOPHYAOBJP)pigncont.o $(SOPHYAOBJP)gp_alloc.o $(SOPHYAOBJP)gp_axis.o $(SOPHYAOBJP)gp_contour.o
+	rm -f $(SOPHYALIBP)libPIGcont.a
+ 
+$(SOPHYALIBP)libPIGcont.a : $(SOPHYAOBJP)gp_alloc.o $(SOPHYAOBJP)gp_axis.o $(SOPHYAOBJP)gp_contour.o $(SOPHYAOBJP)picntools.o $(SOPHYAOBJP)pigncont.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)picntools.o: picntools.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h picntools.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)picontainergen.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piapplgen.h \
+  $(SOPHYAINCP)pimenubarx.h \
+  $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)pistdimgapp.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)piimage.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pipixmapx.h \
+  $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pilistgen.h \
+  $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)pitherm.h \
+  $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)piscdrawwdg.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h gp_contour.h \
+  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)pigncont.o: pigncont.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)nbtri.h picntools.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)picontainergen.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piapplgen.h \
+  $(SOPHYAINCP)pimenubarx.h \
+  $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)pistdimgapp.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)piimage.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pipixmapx.h \
+  $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pilistgen.h \
+  $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)pitherm.h \
+  $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)piscdrawwdg.h gp_contour.h \
+  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)gp_alloc.o: gp_alloc.c gp_alloc.h gp_graph3d.h gp_types.h gpc_misc.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)gp_axis.o: gp_axis.c gp_axis.h gpc_misc.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)gp_contour.o: gp_contour.c gp_contour.h gp_types.h gpc_misc.h \
+  gp_dynarray.h gp_graph3d.h gp_alloc.h gp_axis.h
+	$(CCOMPILE) -o $@ $<
+ 