Index: /trunk/SophyaPI/PI/piaxes.cc
===================================================================
--- /trunk/SophyaPI/PI/piaxes.cc	(revision 2753)
+++ /trunk/SophyaPI/PI/piaxes.cc	(revision 2754)
@@ -60,4 +60,5 @@
 //|	kIntTicks, kExtTicks
 //|	kMajTicks, kMinTicks
+//|	kLabelsH, kLabelsV, kLabels
 //|	kAxesDflt = kStdAxes =
 //|	      kBoxAxes | kTicks | | kIntTicks | kLabels
@@ -149,5 +150,5 @@
     // Les labels
     
-    if (flags & kLabels) {
+    if (flags & kLabelsH) {
       double declab = 2*xMajTickLen;
       if (!aYdir)
@@ -155,6 +156,7 @@
       else 
         DrawHLabels(g, y0axes+declab, xMajTicks, PI_VerticalTop);
-
-      declab = 2.*yMajTickLen;
+    }
+    if (flags & kLabelsV) {
+      double declab = 2.*yMajTickLen;
       if (!aXdir)
         DrawVLabels(g, x0axes-declab, yMajTicks, PI_HorizontalRight);
@@ -209,5 +211,5 @@
     // Les labels
     
-    if (flags & kLabels) {
+    if (flags & kLabelsH) {
       double declab = xMajTickLen;
       if (flags & kExtTicks) declab *= 2.;
@@ -218,5 +220,7 @@
         DrawHLabels(g, g->DeltaUCY(yMax,  declab), xMajTicks, PI_VerticalTop);
       }
-      declab = yMajTickLen;
+    }
+    if (flags & kLabelsV) {
+      double declab = yMajTickLen;
       if (flags & kExtTicks) declab *= 2.;
       if (!aXdir) {
Index: /trunk/SophyaPI/PI/piaxes.h
===================================================================
--- /trunk/SophyaPI/PI/piaxes.h	(revision 2753)
+++ /trunk/SophyaPI/PI/piaxes.h	(revision 2754)
@@ -15,10 +15,15 @@
   kBoxAxes     = 0x0002,
   kTicks       = 0x0004,
+  kGridOn      = 0x0008,
+
   kIntTicks    = 0x0010,
   kExtTicks    = 0x0020,
-  kMajTicks    = 0x0040,
-  kMinTicks    = 0x0080,
-  kLabels      = 0x1000,
-  kGridOn      = 0x2000,
+  kMajTicks    = 0x0030,
+  kMinTicks    = 0x0040,
+
+  kLabelsH     = 0x1000,
+  kLabelsV     = 0x2000,
+  kLabels      = kLabelsH | kLabelsV,
+
 // Axes trace par defaut
   kAxesDflt    = kBoxAxes | kTicks | kMajTicks | kIntTicks | kLabels,       
Index: /trunk/SophyaPI/PI/pieldrw.cc
===================================================================
--- /trunk/SophyaPI/PI/pieldrw.cc	(revision 2753)
+++ /trunk/SophyaPI/PI/pieldrw.cc	(revision 2754)
@@ -558,4 +558,12 @@
     else if (opts == "nolabels")
       SetAxesFlags(GetAxesFlags() & ~kLabels);
+    else if (opts == "hlabels")
+      SetAxesFlags(GetAxesFlags() | kLabelsH);
+    else if (opts == "nohlabels")
+      SetAxesFlags(GetAxesFlags() & ~kLabelsH);
+    else if (opts == "vlabels")
+      SetAxesFlags(GetAxesFlags() | kLabelsV);
+    else if (opts == "novlabels")
+      SetAxesFlags(GetAxesFlags() & ~kLabelsV);
     else if (opts == "ticks")
       SetAxesFlags(GetAxesFlags() | kTicks);
@@ -626,6 +634,7 @@
   info += "   centeredaxes finecenteredaxes centeredaxesgrid \n";
   info += "   finecenteredaxesgrid  grid/nogrid \n";
-  info += " >> Axe ticks/labels: \n"; 
-  info += "   labels/nolabels  ticks/noticks minorticks/nominorticks \n";
+  info += " >> Axe ticks/labels (h=horizontal/x, v=vertical/y): \n"; 
+  info += "   labels/nolabels  hlabels/nohlabels vlabels/novlabels \n";
+  info += "   ticks/noticks minorticks/nominorticks \n";
   info += "   extticks/intticks/extintticks nbticks=X_NbTicks,Y_NbTicks \n";
   info += "   tickslen=MajorTickLenFrac,MinorTickLenFraC \n";
Index: /trunk/SophyaPI/PI/pigratt.cc
===================================================================
--- /trunk/SophyaPI/PI/pigratt.cc	(revision 2753)
+++ /trunk/SophyaPI/PI/pigratt.cc	(revision 2754)
@@ -550,7 +550,7 @@
       	else if (mka[0] == "fbox") dmrk = PI_FBoxMarker;
       	else if (mka[0] == "triangle") dmrk = PI_TriangleMarker;
-      	else if (mka[0] == "ftriangle") dmrk = PI_TriangleMarker;
+      	else if (mka[0] == "ftriangle") dmrk = PI_FTriangleMarker;
       	else if (mka[0] == "star") dmrk = PI_StarMarker;
-      	else if (mka[0] == "fstar") dmrk = PI_StarMarker;
+      	else if (mka[0] == "fstar") dmrk = PI_FStarMarker;
       }
       if (mka.size() > 1) dmsz = atoi(mka[1].c_str());
@@ -560,7 +560,7 @@
     }
     // decodage de arrowmarker sour forme de arrow=type,size
-    else if (gratt.substr(0, 7) == "arrow=") {
+    else if (gratt.substr(0, 6) == "arrow=") {
       PIArrowMarker darr = PI_NotDefArrowMarker;
-      int dasz = 1;
+      int dasz = 3;
       vector<string> mka;
       FillVStringFrString(gratt.substr(6), mka, ',');
Index: /trunk/SophyaPI/PI/pitxtdrw.cc
===================================================================
--- /trunk/SophyaPI/PI/pitxtdrw.cc	(revision 2753)
+++ /trunk/SophyaPI/PI/pitxtdrw.cc	(revision 2754)
@@ -12,5 +12,5 @@
 // ----------------------------------------------------------
 //  Classe de representation d'une serie de lignes de texte
-//  eventuellemet avec marker et bout de ligne
+//  eventuellement avec marker ( et bout de ligne <- pas fait) 
 // ----------------------------------------------------------
 // --------------------------------------------------------------------------
@@ -22,5 +22,5 @@
 //
 //	Classe de representation d'une serie de lignes eventuellement
-//	avec un marker et un bout de ligne
+//	avec un marker 
 //
 //--
@@ -82,11 +82,30 @@
 {
   if (mLines.size() < 1) return;
-  PIGrCoord x,y,dx,dy,fa,fd;
+  PIGraphicAtt siatt = GetGraphicAtt();
+  PIGraphicAtt catt;
+
+  PIGrCoord x,y,ym,dx,dy,fa,fd;
   x = 0.05;   y = 0.95;
-  for(unsigned int k=0; k<mLines.size(); k++) { // Trace des lignes de texte
+  for(unsigned int k=0; k<mLines.size(); k++) { 
+    catt = siatt;
+    catt.UpdateFrom(mLines[k].att);
+    SelGraAtt(g);
+    if (mLines[k].att.GetMarker() != PI_NotDefMarker) {
+      x = 0.03;
+      ym = (double)y-(double)(g->GetFontHeight(fa, fd))*0.5;
+      g->DrawMarker(x, ym);
+      double dxu, dyu;
+      double dxpix = g->GetMarkerSize();
+      g->DGrC2UC(dxpix, 0, dxu, dyu);
+      x = (double)x+dxu+0.02;
+    }
+    else x = 0.05;
+    // Trace des lignes de texte
     g->DrawString(x,y,mLines[k].line.c_str(),PI_VerticalTop);
     y = (double)y-(double)(g->GetFontHeight(fa, fd))*1.1;
   }
   if (fgFrame) {   // Trace de cadre
+    SetGraphicAtt(siatt);
+    SelGraAtt(g);
     x = y = 0.;
     dx = dy = 1.;